# QRadioButton Class Reference

The QRadioButton widget provides a radio button with a text label. More...

`#include <qradiobutton.h>`

Inherits QButton.

List of all member functions.

## Public Members

- QRadioButton ( QWidget * parent=0, const char * name=0 )
- QRadioButton ( const char * text, QWidget * parent=0, const char * name=0 )
- bool isChecked () const
- void setChecked ( bool check )
- virtual QSize sizeHint () const

## Protected Members

- virtual bool hitButton ( const QPoint & ) const
- virtual void drawButton ( QPainter * )
- virtual void drawButtonLabel ( QPainter * )
- virtual void mouseReleaseEvent ( QMouseEvent * )
- virtual void keyPressEvent ( QKeyEvent * )

## Detailed Description

The QRadioButton widget provides a radio button with a text label.

QRadioButton and QCheckBox are both toggle buttons, that is, they can be switched on (checked) or off (unchecked). Unlike check boxes, radio buttons are normally organized in groups where only one radio button can be switched on at a time.

The QButtonGroup widget is very useful for defining groups of radio buttons.

See also: QPushButton, QToolButton and GUI Design Handbook: Radio Button

Examples: drawdemo/drawdemo.cpp xform/xform.cpp pref/pref.cpp widgets/widgets.cpp

## Member Function Documentation

### QRadioButton::QRadioButton ( QWidget * parent=0, const char * name=0 )

Constructs a radio button with no text.

The parent and name arguments are sent to the QWidget constructor.

### QRadioButton::QRadioButton ( const char * text, QWidget * parent=0, const char * name=0 )

Constructs a radio button with a text.

The parent and name arguments are sent to the QWidget constructor.

### void QRadioButton::drawButton ( QPainter * paint ) `[virtual protected]`

Draws the radio button, but not the button label.

See also: drawButtonLabel().

Reimplemented from QButton.

### void QRadioButton::drawButtonLabel ( QPainter * p ) `[virtual protected]`

Draws the radio button label.

See also: drawButton().

Reimplemented from QButton.

### bool QRadioButton::hitButton ( const QPoint & pos ) const `[virtual protected]`

Reimplements QButton::hitButton(). This function is implemented to prevent a radio button that is on from being switched off.

Reimplemented from QButton.

### bool QRadioButton::isChecked () const

Returns TRUE if the radio button is checked, or FALSE if it is not checked.

See also: setChecked().

### void QRadioButton::keyPressEvent ( QKeyEvent * e ) `[virtual protected]`

Obsolete; to be removed in Qt 2.0.

Reimplemented from QWidget.

### void QRadioButton::mouseReleaseEvent ( QMouseEvent * e ) `[virtual protected]`

Obsolete; to be removed in Qt 2.0.

Reimplemented from QWidget.

### void QRadioButton::setChecked ( bool check )

Checks the radio button if check is TRUE, or unchecks it if check is FALSE.

Calling this function does not affect other radio buttons unless a radio button group has been defined using the QButtonGroup widget.

See also: isChecked().

Examples: drawdemo/drawdemo.cpp widgets/widgets.cpp

### QSize QRadioButton::sizeHint () const `[virtual]`

Returns a size which fits the contents of the radio button.

Examples: widgets/widgets.cpp

Reimplemented from QWidget.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qradiobutton.h: 1998/08/21
- qradiobutton.cpp: 1998/07/03